Summary: Simple unified package and service management
Name: xsync
Version: 0.8.1
Release: 1.of
License: GPL
Group: Utilities/System
Source: http://www.openfusion.com.au/labs/dist/%{name}-%{version}.tar.gz
URL: http://www.openfusion.com.au/labs/xsync/
Packager: Gavin Carr <gavin@openfusion.com.au>
Buildroot: %_tmppath/%{name}-%{version}
Requires: bash
Requires: perl
AutoReq: no

%description
xsync provides basic package and services management via a unified 
directory/file interface - touching a file in the appropriate 
directory indicates that a package should be installed or uninstalled, 
or a service configured to run or not run. Running xsync then ensures 
that the running system is in sync those policies. The interface is 
simple, easy to understand, and amenable to remote large-scale 
administration.

This version supports chkconfig- and daemontools-based services, 
package management via rpm, apt, and yum, the installation of perl CPAN 
modules, and the execution of scripts. 

%prep
%setup

%build

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/xsync $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8 $RPM_BUILD_ROOT/var/cache/xsync
cp -r etc/* $RPM_BUILD_ROOT/etc/xsync
cp -r var/* $RPM_BUILD_ROOT/var/cache/xsync
cp sbin/* $RPM_BUILD_ROOT/usr/sbin
pod2man --section=8 -r "xsync $RPM_PACKAGE_VERSION" doc/xsync.pod > $RPM_BUILD_ROOT/usr/share/man/man8/xsync.8

%files
%defattr(-,root,root)
%attr(0755,root,wheel) %config /etc/xsync
%config /var/cache/xsync
/usr/share/man
/usr/sbin/xsync_functions
%attr(0755,root,wheel) /usr/sbin/xsync
%attr(0755,root,wheel) /usr/sbin/xsync-*
%doc README
%doc TODO

%changelog

* Fri Jun 24 2005 Gavin Carr <gavin@openfusion.com.au>

- Add handling of non-chkconfig and non-added services to chkconfig scripts.
- Update to version 0.8.1.

* Fri Jun 17 2005 Gavin Carr <gavin@openfusion.com.au>

- Add support for xsync-FOO targets to xsync-service-restart, invoking the 
  corresponding xsync --FOO command. Useful for triggering one-off remote
  xsync invocations on changes to local xsync directories.
- Update to version 0.8.

* Thu Apr 12 2005 Gavin Carr <gavin@openfusion.com.au>

- Tweak package installation order to defer cpan installs till last.
- Update to version 0.7.6.

* Thu Apr 12 2005 Gavin Carr <gavin@openfusion.com.au>

- Add finer-grained package args --remove, --apt, --yum, and --cpan.
- Update to version 0.7.5.

* Thu Feb 10 2005 Gavin Carr <gavin@openfusion.com.au>

- Tweak xsync-yum-install to honour verbosity flag and be more tolerant of errors.
- Tweak xsync-yum-install to skip bogus pkg check (too many network trips).
- Update xsync-chkconfig-off/on to handle scripts returning true when stopped.
- Update to version 0.7.4.

* Thu Dec 30 2004 Gavin Carr <gavin@openfusion.com.au>

- Update xsync-chkconfig-off/on to use chkconfig --list instead of /etc/init.d
  check (more portable, and also handles xinetd services).
- Tweaked verbosity checks in xsync-apt-install.
- Update to version 0.7.3.

* Tue Dec 21 2004 Gavin Carr <gavin@openfusion.com.au>

- Minor fixes to xsync-apt-install.
- Update to version 0.7.2.

* Wed Nov 24 2004 Gavin Carr <gavin@openfusion.com.au>

- Minor fixes to xsync-chkconfig-*.
- Update to version 0.7.1.

* Wed Nov 24 2004 Gavin Carr <gavin@openfusion.com.au>

- Add selective top-level arguments to xsync i.e. --scripts, --restart,
    --services, --packages, --install, --remove
- Update to version 0.7.

* Wed Nov 17 2004 Gavin Carr <gavin@openfusion.com.au>

- Fix bug with scripts directories being ignored in main xsync.
- Update to version 0.6.2.

* Tue Nov 16 2004 Gavin Carr <gavin@openfusion.com.au>
- Fix various mainly specfile bugs.
- Update to version 0.6.1.

* Tue Nov 16 2004 Gavin Carr <gavin@openfusion.com.au>

- Refactor common functionality into 'functions' helper.
- Add special target 'ALL' support for service -off directories.
- Add alternate directory support (--dir or -d, to use instead of /etc/xsync).
- Replace shell xsync with a perl version, for better parameter handling.
- Add first-pass xsync-service-restart support.
- Tweak xsync-cpan-install to do a 'require CPAN', rather than a 'use'.
- Update to version 0.6.

* Wed Nov 10 2004 Gavin Carr <gavin@openfusion.com.au>

- Add xsync-scripts and xsync-scripts-once support.
- Tweak spec file to create /var/cache/xsync tree for xsync-scripts-once tags.
- Tweak spec file default permissions to be (0640,root,wheel)
- Update to version 0.5.

* Wed Nov 03 2004 Gavin Carr <gavin@openfusion.com.au>

- Change removes and installs to be all-at-once rather than one-by-one.
- Change overall order to stop - remove - add - start rather than alphabetical.
- Tweak file ownership in spec file.
- Update to version 0.4.

* Mon Oct 25 2004 Gavin Carr <gavin@openfusion.com.au>

- Add yum install support (xsync-yum-install).
- Update to version 0.3.

* Tue Oct 12 2004 Gavin Carr <gavin@openfusion.com.au>

- Add initial man page.
- Update chkconfig scripts to skip services already correct.
- Update to version 0.2.

* Fri Oct 08 2004 Gavin Carr <gavin@openfusion.com.au>

- Initial release.

